[prev in list] [next in list] [prev in thread] [next in thread] 

List:       kde-commits
Subject:    [digikam-software-compilation] project: polish
From:       Gilles Caulier <caulier.gilles () gmail ! com>
Date:       2016-10-10 17:09:42
Message-ID: E1bte58-0007AK-Km () code ! kde ! org
[Download RAW message or body]

Git commit 7cd6728e17587fe6f9a8900b381b65b3792d1554 by Gilles Caulier.
Committed on 10/10/2016 at 17:09.
Pushed by cgilles into branch 'master'.

polish

M  +35   -2    project/appimage/01-build-linux.sh
M  +73   -40   project/appimage/02-build-extralibs.sh
M  +12   -10   project/appimage/03-build-digikam.sh
M  +55   -9    project/appimage/04-build-appimage.sh
M  +0    -1    project/mxe/02-build-extralibs.sh

http://commits.kde.org/scratch/mwiesweg/digikam-sc/7cd6728e17587fe6f9a8900b381b65b3792d1554


diff --git a/project/appimage/01-build-linux.sh b/project/appimage/01-build-linux.sh
index 81d700f..10d7b6c 100755
--- a/project/appimage/01-build-linux.sh
+++ b/project/appimage/01-build-linux.sh
@@ -1,10 +1,37 @@
 #!/bin/bash
 
+# Script to build a CentOS 6 installation to compile an AppImage bundle of digiKam.
+# This script must be run as sudo
+#
+# Copyright (c) 2015-2016, Gilles Caulier, <caulier dot gilles at gmail dot com>
+#
+# Redistribution and use is allowed according to the terms of the BSD license.
+# For details see the accompanying COPYING-CMAKE-SCRIPTS file.
+#
+
 # Halt on errors
 set -e
 
-# Be verbose
-set -x
+#################################################################################################
 +# Manage script traces to log file
+
+mkdir -p ./logs
+exec > >(tee ./logs/build-linux.full.log) 2>&1
+
+#################################################################################################
 +
+echo "01-build-linux.sh : build a CentOS 6 installation to compile an AppImage of \
digiKam." +echo "------------------------------------------------------------------------------------"
 +
+#################################################################################################
 +# Pre-processing checks
+
+. ./config.sh
+. ./common.sh
+StartScript
+ChecksCPUCores
+
+#################################################################################################
  
 # Now we are inside CentOS 6
 grep -r "CentOS release 6" /etc/redhat-release || exit 1
@@ -25,6 +52,8 @@ fi
 # if the library path doesn't point to our usr/lib, linking will be broken and we \
won't find all deps either  export \
LD_LIBRARY_PATH=/usr/lib64/:/usr/lib:/digikam.appdir/usr/lib  
+#################################################################################################
 +
 yum -y install epel-release
 
 # we need to be up to date in order to install the xcb-keysyms dependency
@@ -120,3 +149,7 @@ cd /AppImageKit/
 git_pull_rebase_helper
 ./build.sh
 cd /
+
+#################################################################################################
 +
+TerminateScript
diff --git a/project/appimage/02-build-extralibs.sh \
b/project/appimage/02-build-extralibs.sh index 7391f67..eda6ed2 100755
--- a/project/appimage/02-build-extralibs.sh
+++ b/project/appimage/02-build-extralibs.sh
@@ -1,10 +1,37 @@
 #!/bin/bash
 
+# Script to build extra libraries using CentOs 6.
+# This script must be run as sudo
+#
+# Copyright (c) 2015-2016, Gilles Caulier, <caulier dot gilles at gmail dot com>
+#
+# Redistribution and use is allowed according to the terms of the BSD license.
+# For details see the accompanying COPYING-CMAKE-SCRIPTS file.
+#
+
 # Halt on errors
 set -e
 
-# Be verbose
-set -x
+#################################################################################################
 +# Manage script traces to log file
+
+mkdir -p ./logs
+exec > >(tee ./logs/build-extralibs.full.log) 2>&1
+
+#################################################################################################
 +
+echo "02-build-extralibs.sh : build extra libraries under CentoOS 6."
+echo "--------------------------------------------------------------"
+
+#################################################################################################
 +# Pre-processing checks
+
+. ./config.sh
+. ./common.sh
+StartScript
+ChecksCPUCores
+
+#################################################################################################
  
 # Now we are inside CentOS 6
 grep -r "CentOS release 6" /etc/redhat-release || exit 1
@@ -25,6 +52,8 @@ fi
 # if the library path doesn't point to our usr/lib, linking will be broken and we \
won't find all deps either  export \
LD_LIBRARY_PATH=/usr/lib64/:/usr/lib:/digikam.appdir/usr/lib  
+#################################################################################################
 +
 . /opt/rh/devtoolset-4/enable
 
 ORIG_WD="`pwd`"
@@ -42,41 +71,45 @@ cmake3 $ORIG_WD/3rdparty \
        -DINSTALL_ROOT=/usr \
        -DEXTERNALS_DOWNLOAD_DIR=/d
 
-cmake3 --build . --config RelWithDebInfo --target ext_tiff -- -j4
-cmake3 --build . --config RelWithDebInfo --target ext_exiv2 -- -j4
-cmake3 --build . --config RelWithDebInfo --target ext_lcms2 -- -j4
-cmake3 --build . --config RelWithDebInfo --target ext_boost -- -j4
-cmake3 --build . --config RelWithDebInfo --target ext_eigen3 -- -j4
-cmake3 --build . --config RelWithDebInfo --target ext_opencv -- -j4
-cmake3 --build . --config RelWithDebInfo --target ext_lensfun -- -j4
-cmake3 --build . --config RelWithDebInfo --target ext_libgphoto2 -- -j4
-cmake3 --build . --config RelWithDebInfo --target ext_qt -- -j4
-cmake3 --build . --config RelWithDebInfo --target ext_qtwebkit -- -j4
-
-cmake3 --build . --config RelWithDebInfo --target ext_extra_cmake_modules -- -j4
-cmake3 --build . --config RelWithDebInfo --target ext_kconfig -- -j4
-cmake3 --build . --config RelWithDebInfo --target ext_breeze_icons -- -j4
-cmake3 --build . --config RelWithDebInfo --target ext_solid -- -j4
-cmake3 --build . --config RelWithDebInfo --target ext_kcoreaddons -- -j4
-cmake3 --build . --config RelWithDebInfo --target ext_kwindowsystem -- -j4
-cmake3 --build . --config RelWithDebInfo --target ext_solid -- -j4
-cmake3 --build . --config RelWithDebInfo --target ext_threadweaver -- -j4
-cmake3 --build . --config RelWithDebInfo --target ext_karchive -- -j4
-cmake3 --build . --config RelWithDebInfo --target ext_kdbusaddons -- -j4
-cmake3 --build . --config RelWithDebInfo --target ext_ki18n -- -j4
-cmake3 --build . --config RelWithDebInfo --target ext_kcrash -- -j4
-cmake3 --build . --config RelWithDebInfo --target ext_kcodecs -- -j4
-cmake3 --build . --config RelWithDebInfo --target ext_kauth -- -j4
-cmake3 --build . --config RelWithDebInfo --target ext_kguiaddons -- -j4
-cmake3 --build . --config RelWithDebInfo --target ext_kwidgetsaddons -- -j4
-cmake3 --build . --config RelWithDebInfo --target ext_kitemviews -- -j4
-cmake3 --build . --config RelWithDebInfo --target ext_kcompletion -- -j4
-cmake3 --build . --config RelWithDebInfo --target ext_kconfigwidgets -- -j4
-cmake3 --build . --config RelWithDebInfo --target ext_kiconthemes -- -j4
-cmake3 --build . --config RelWithDebInfo --target ext_kservice -- -j4
-cmake3 --build . --config RelWithDebInfo --target ext_kglobalaccel -- -j4
-cmake3 --build . --config RelWithDebInfo --target ext_kxmlgui -- -j4
-cmake3 --build . --config RelWithDebInfo --target ext_kbookmarks -- -j4
-cmake3 --build . --config RelWithDebInfo --target ext_kimageformats -- -j4
-
-cmake3 --build . --config RelWithDebInfo --target ext_marble -- -j4
+cmake3 --build . --config RelWithDebInfo --target ext_tiff -- -j$CPU_CORES
+cmake3 --build . --config RelWithDebInfo --target ext_exiv2 -- -j$CPU_CORES
+cmake3 --build . --config RelWithDebInfo --target ext_lcms2 -- -j$CPU_CORES
+cmake3 --build . --config RelWithDebInfo --target ext_boost -- -j$CPU_CORES
+cmake3 --build . --config RelWithDebInfo --target ext_eigen3 -- -j$CPU_CORES
+cmake3 --build . --config RelWithDebInfo --target ext_opencv -- -j$CPU_CORES
+cmake3 --build . --config RelWithDebInfo --target ext_lensfun -- -j$CPU_CORES
+cmake3 --build . --config RelWithDebInfo --target ext_libgphoto2 -- -j$CPU_CORES
+cmake3 --build . --config RelWithDebInfo --target ext_qt -- -j$CPU_CORES
+cmake3 --build . --config RelWithDebInfo --target ext_qtwebkit -- -j$CPU_CORES
+
+cmake3 --build . --config RelWithDebInfo --target ext_extra_cmake_modules -- \
-j$CPU_CORES +cmake3 --build . --config RelWithDebInfo --target ext_kconfig -- \
-j$CPU_CORES +cmake3 --build . --config RelWithDebInfo --target ext_breeze_icons -- \
-j$CPU_CORES +cmake3 --build . --config RelWithDebInfo --target ext_solid -- \
-j$CPU_CORES +cmake3 --build . --config RelWithDebInfo --target ext_kcoreaddons -- \
-j$CPU_CORES +cmake3 --build . --config RelWithDebInfo --target ext_kwindowsystem -- \
-j$CPU_CORES +cmake3 --build . --config RelWithDebInfo --target ext_solid -- \
-j$CPU_CORES +cmake3 --build . --config RelWithDebInfo --target ext_threadweaver -- \
-j$CPU_CORES +cmake3 --build . --config RelWithDebInfo --target ext_karchive -- \
-j$CPU_CORES +cmake3 --build . --config RelWithDebInfo --target ext_kdbusaddons -- \
-j$CPU_CORES +cmake3 --build . --config RelWithDebInfo --target ext_ki18n -- \
-j$CPU_CORES +cmake3 --build . --config RelWithDebInfo --target ext_kcrash -- \
-j$CPU_CORES +cmake3 --build . --config RelWithDebInfo --target ext_kcodecs -- \
-j$CPU_CORES +cmake3 --build . --config RelWithDebInfo --target ext_kauth -- \
-j$CPU_CORES +cmake3 --build . --config RelWithDebInfo --target ext_kguiaddons -- \
-j$CPU_CORES +cmake3 --build . --config RelWithDebInfo --target ext_kwidgetsaddons -- \
-j$CPU_CORES +cmake3 --build . --config RelWithDebInfo --target ext_kitemviews -- \
-j$CPU_CORES +cmake3 --build . --config RelWithDebInfo --target ext_kcompletion -- \
-j$CPU_CORES +cmake3 --build . --config RelWithDebInfo --target ext_kconfigwidgets -- \
-j$CPU_CORES +cmake3 --build . --config RelWithDebInfo --target ext_kiconthemes -- \
-j$CPU_CORES +cmake3 --build . --config RelWithDebInfo --target ext_kservice -- \
-j$CPU_CORES +cmake3 --build . --config RelWithDebInfo --target ext_kglobalaccel -- \
-j$CPU_CORES +cmake3 --build . --config RelWithDebInfo --target ext_kxmlgui -- \
-j$CPU_CORES +cmake3 --build . --config RelWithDebInfo --target ext_kbookmarks -- \
-j$CPU_CORES +cmake3 --build . --config RelWithDebInfo --target ext_kimageformats -- \
-j$CPU_CORES +
+cmake3 --build . --config RelWithDebInfo --target ext_marble -- -j$CPU_CORES
+
+#################################################################################################
 +
+TerminateScript
diff --git a/project/appimage/03-build-digikam.sh \
b/project/appimage/03-build-digikam.sh index 10edb32..92d2bc7 100755
--- a/project/appimage/03-build-digikam.sh
+++ b/project/appimage/03-build-digikam.sh
@@ -9,15 +9,6 @@
 # For details see the accompanying COPYING-CMAKE-SCRIPTS file.
 #
 
-#################################################################################################
                
-# Pre-processing checks
-
-. ./config.sh
-. ./common.sh
-StartScript
-ChecksCPUCores
-ChecksRunAsRoot
-
 # Halt on error
 set -e
 
@@ -29,9 +20,20 @@ exec > >(tee ./logs/build-digikam.full.log) 2>&1
 
 #################################################################################################
  
-echo "03-build-digikam.sh : build digiKam for Linux."
+echo "03-build-digikam.sh : build digiKam using CentOs 6."
 echo "---------------------------------------------------"
 
+#################################################################################################
 +# Pre-processing checks
+
+. ./config.sh
+. ./common.sh
+StartScript
+ChecksCPUCores
+ChecksRunAsRoot
+
+#################################################################################################
 +
 # Now we are inside CentOS 6
 grep -r "CentOS release 6" /etc/redhat-release || exit 1
 
diff --git a/project/appimage/04-build-appimage.sh \
b/project/appimage/04-build-appimage.sh index feb2dde..32deee9 100755
--- a/project/appimage/04-build-appimage.sh
+++ b/project/appimage/04-build-appimage.sh
@@ -1,18 +1,45 @@
 #!/bin/bash
 
-. ./config.sh
-
-# Halt on errors
+# Script to bundle data using previously-built KDE and digiKam installation
+# and create a Linux AppImage bundle file.
+#
+# Copyright (c) 2015-2016, Gilles Caulier, <caulier dot gilles at gmail dot com>
+#
+# Redistribution and use is allowed according to the terms of the BSD license.
+# For details see the accompanying COPYING-CMAKE-SCRIPTS file.
+#
+
+# Halt on error
 set -e
 
-# Be verbose
-set -x
+#################################################################################################
 +# Manage script traces to log file
+
+mkdir -p ./logs
+exec > >(tee ./logs/build-appimage.full.log) 2>&1
+
+#################################################################################################
 +
+echo "04-build-appimage.sh : build digiKam AppImage bundle."
+echo "-----------------------------------------------------"
+
+#################################################################################################
 +# Pre-processing checks
+
+. ./config.sh
+. ./common.sh
+StartScript
+ChecksCPUCores
+
+#################################################################################################
  
 # Working directory
 ORIG_WD="`pwd`"
 
 DK_RELEASEID=`cat $ORIG_WD/data/RELEASEID.txt`
 
+#################################################################################################
 +
 # Now we are inside CentOS 6
 grep -r "CentOS release 6" /etc/redhat-release || exit 1
 
@@ -255,13 +282,32 @@ if [[ "$ARCH" = "i686" ]] ; then
         APPIMAGE=$APP"-"$DK_RELEASEID"-i386.appimage"
 fi
 
-echo $APPIMAGE
-
 mkdir -p /out
 
 rm -f /out/*.AppImage || true
 AppImageKit/AppImageAssistant.AppDir/package /digikam.appdir/ /out/$APPIMAGE
 
-chmod a+rwx /out/$APPIMAGE # So that we can edit the AppImage outside of the Docker \
container +chmod a+rwx /out/$APPIMAGE
+
+#################################################################################################
 +# Show resume information and future instructions to host installer file to KDE \
server +
+echo -e "\n---------- Compute package checksums for digiKam $DK_RELEASEID\n"  > \
$APPIMAGE.txt +echo    "File       : $APPIMAGE"                                       \
>> $APPIMAGE.txt +echo -n "Size       : "                                             \
> > >> $APPIMAGE.txt
+du -h "$APPIMAGE"        | { read first rest ; echo $first ; }               >> \
$APPIMAGE.txt +echo -n "MD5 sum    : "                                                \
>> $APPIMAGE.txt +md5sum "$APPIMAGE"       | { read first rest ; echo $first ; }      \
> > >> $APPIMAGE.txt
+echo -n "SHA1 sum   : "                                                      >> \
$APPIMAGE.txt +shasum -a1 "$APPIMAGE"   | { read first rest ; echo $first ; }         \
>> $APPIMAGE.txt +echo -n "SHA256 sum : "                                             \
> > >> $APPIMAGE.txt
+shasum -a256 "$APPIMAGE" | { read first rest ; echo $first ; }               >> \
$APPIMAGE.txt +
+cat $APPIMAGE.txt
+echo -e "\n------------------------------------------------------------------"
+curl http://download.kde.org/README_UPLOAD
+echo -e "------------------------------------------------------------------\n"
+
+#################################################################################################
  
-echo "Done..."
+TerminateScript
diff --git a/project/mxe/02-build-extralibs.sh b/project/mxe/02-build-extralibs.sh
index 18caa0c..b8cd864 100755
--- a/project/mxe/02-build-extralibs.sh
+++ b/project/mxe/02-build-extralibs.sh
@@ -1,7 +1,6 @@
 #! /bin/bash
 
 # Script to build extra libraries using MEX.
-# This script must be run as sudo
 #
 # Copyright (c) 2015-2016, Gilles Caulier, <caulier dot gilles at gmail dot com>
 #


[prev in list] [next in list] [prev in thread] [next in thread] 

Configure | About | News | Add a list | Sponsored by KoreLogic